Bug 434683 - trying to resume from /sys/block/sda//sda6 ?
trying to resume from /sys/block/sda//sda6 ?
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-24 04:56 EST by Fabrice Bellet
Modified: 2008-10-30 15:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-30 15:22:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fabrice Bellet 2008-02-24 04:56:07 EST
My swap partition is described as LABEL=swap in /etc/fstab, and is a real
partition on the disk (/dev/sda6), not a volume handled by lvm.

Previously in Fedora 8, the initrd worked by using "resume LABEL=swap". In
recent initrd, the swap partition is described as /sys/block/sda//sda6, which is
not the block device the system is expected to resume from. The result is that
"resume /sys/block/sda//sda6" silently fails, and the regular boot continues.

This problem seems introduced by the line suspdev=$(findblockdevinsys
"$swsuspdev") in mkinitrd.
Comment 1 Bug Zapper 2008-05-14 01:36:30 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 2 Fabrice Bellet 2008-10-30 15:22:30 EDT
resolved in current rawhide

Note You need to log in before you can comment on or make changes to this bug.